aboutsummaryrefslogtreecommitdiffstats
path: root/community/coova-chilli/chilli.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/coova-chilli/chilli.initd')
-rw-r--r--community/coova-chilli/chilli.initd39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/coova-chilli/chilli.initd b/community/coova-chilli/chilli.initd
new file mode 100644
index 00000000000..3e75949f6e4
--- /dev/null
+++ b/community/coova-chilli/chilli.initd
@@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+
+depend() {
+ use net
+ after firewall
+ provide chilli
+}
+
+checkconfig() {
+ if [ -f /etc/chilli.conf ]; then
+ return 0;
+ else
+ eerror "Error starting CoovaChilli. Please create /etc/chilli.conf before."
+ return 1;
+ fi
+
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting CoovaChilli Captive Portal"
+
+ echo 1 > /proc/sys/net/ipv4/ip_forward
+ lsmod | grep tun >& /dev/null
+
+ if [ $? -ne 0 ]; then
+ modprobe tun >& /dev/null
+ fi
+
+ start-stop-daemon --start --pidfile /var/run/chilli/chilli.pid --quiet \
+ --exec /usr/sbin/chilli ${CHILLI_OPTS} -- --pidfile=/var/run/chilli/chilli.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping CoovaChilli Captive Portal"
+ start-stop-daemon --stop --pidfile /var/run/chilli.pid --quiet
+ eend $?
+}